Skip to main content
GET
/
api
/
lifecycle
/
assessment
Get latest lifecycle assessment
curl --request GET \
  --url https://app.dacard.ai/api/lifecycle/assessment \
  --cookie __session=
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "answers": {},
  "score": {
    "overallScore": 123,
    "currentStage": "<string>",
    "stageScores": {},
    "completedTasks": 123,
    "totalTasks": 123
  },
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

__session
string
cookie
required

Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.

Query Parameters

productId
string
required

Product UUID

Response

object | null

Latest lifecycle assessment (null if none exists)

id
string<uuid>
productId
string<uuid>
answers
object

Map of task IDs to completion status

score
object
createdAt
string<date-time>